@echo off
:: Enable or Disable Magnifier Starting Automatically before Login.
:: Author: Hendrik Vermaak, 07 May 2019
:: Check for administrative permissions 
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system" 
:: If error flag set, we do not have admin. 
if '%errorlevel%' NEQ '0' ( 
echo Requesting administrative privileges... 
goto UACPrompt 
) else ( goto gotAdmin ) 
:UACPrompt 
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs" 
echo UAC.ShellExecute "cmd.exe", "/C """"%~f0""""", , "runas", 1 >> "%temp%\getadmin.vbs" 
cscript "%temp%\getadmin.vbs" 
exit /B 
:gotAdmin 
if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" ) 
pushd "%CD%" 
CD /D "%~dp0" 
:: BatchGotAdmin (Run as Admin code ends)

for /F "eol= delims=~" %%d in ('CD') do set curpath=%%d
pushd "%curpath%"
set "CP=%curpath%"

reg add "HKEY_CLASSES_ROOT\Directory\background\shell\Magnifier" /v SubCommands /t REG_SZ /d Magnifier /f >nul
reg add "HKEY_CLASSES_ROOT\Directory\background\shell\Magnifier" /v MUIVerb /t REG_SZ /d "Magnifier Auto Start" /f >nul
reg add "HKEY_CLASSES_ROOT\Directory\background\shell\Magnifier" /v Icon /t REG_SZ /d imageres.dll,-145 /f >nul

reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier" /v MUIVerb | Find "Disable Magnifier Auto Start before Login" >nul
If %ERRORLEVEL% == 1 goto enablemagoff
IF %ERRORLEVEL% == 0 goto disablemagon

:disablemagon
cls
echo =================================================================
echo       Disable Magnifier Starting Automatically before Login
echo =================================================================
reg add "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Accessibility" /v Configuration /t REG_SZ /d "" /f >nul
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier" /v MUIVerb /t REG_SZ /d "Enable Magnifier Auto Start before Login" /f >nul
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier" /v Icon /t REG_SZ /d imageres.dll,-145 /f >nul >nul
echo Y | reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier\command" /ve /t REG_SZ /d "%CP%\Magnifier_AutoStart_ON_OFF.bat" /f >nul
echo.
echo * Magnifier Starting Automatically before Login is now disabled.
echo.
echo.
echo Command window will automatically close in 10 seconds...or press any key to exit now.
timeout 10 >nul
exit

:enablemagoff
cls
echo.
echo ================================================================
echo       Enable Magnifier to Start Automatically before Login
echo ================================================================
reg add "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Accessibility" /v Configuration /t REG_SZ /d "magnifierpane" /f >nul
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier" /v MUIVerb /t REG_SZ /d "Disable Magnifier Auto Start before Login" /f >nul
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier" /v Icon /t REG_SZ /d imageres.dll,-145 /f >nul
echo Y | reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Magnifier\command" /ve /t REG_SZ /d "%CP%\Magnifier_AutoStart_ON_OFF.bat" /f >nul
echo.
echo * Magnifier Starting Automatically before Login is now Enabled.
echo.
echo.
echo Command window will automatically close in 10 seconds...or press any key to exit now.
timeout 10 >nul
exit